Dash0 acquires Polar Signals

Manage Synthetic Checks

Update or insert a specific synthetic check by its origin or id

put/api/synthetic-checks/{originOrId}

Parameters 2

originOrIdpathrequired

Synthetic check origin or id.

string
datasetquery
References Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

stringpattern "^[a-zA-Z0-9_-]{3,26}$"
bash
Sample request
12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576
curl --request PUT 'https://api.eu-west-1.aws.dash0.com/api/synthetic-checks/123e4567-e89b-42d3-a456-426614174000' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"kind": "Dash0SyntheticCheck",
"metadata": {
"name": "Example"
},
"spec": {
"plugin": {
"kind": "http",
"spec": {
"request": {
"method": "get",
"url": "example",
"redirects": "follow",
"tls": {
"allowInsecure": true
},
"tracing": {
"addTracingHeaders": true
},
"headers": [
{
"name": "Example",
"value": "example"
}
],
"queryParameters": [
{
"name": "Example",
"value": "example"
}
]
},
"assertions": {
"criticalAssertions": [
{
"kind": "status_code",
"spec": {
"operator": "is",
"value": "example"
}
}
],
"degradedAssertions": [
{
"kind": "status_code",
"spec": {
"operator": "is",
"value": "example"
}
}
]
}
}
},
"schedule": {
"strategy": "all_locations",
"interval": "1m",
"locations": [
"example"
]
},
"retries": {
"kind": "off",
"spec": {}
},
"notifications": {
"channels": [
"123e4567-e89b-42d3-a456-426614174000"
]
},
"enabled": true
}
}'

Request body required

stringrequired
"Dash0SyntheticCheck"
SyntheticCheckMetadatarequired
SyntheticCheckSpecrequired

Responses

Update a specific synthetic check.

stringrequired
"Dash0SyntheticCheck"
SyntheticCheckMetadatarequired
SyntheticCheckSpecrequired